commit 01f31f6ccbd7fa13e29e37fa2a112ed3afe81639
Author: freddy77 <freddy77>
Date:   Fri Oct 31 14:35:23 2008 +0000

    style updates, reuse macros

diff --git a/ChangeLog b/ChangeLog
index 2df6022..4045ec0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Oct 31 15:35:00 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/cursor1.c src/odbc/unittests/cursor5.c:
+	* src/odbc/unittests/utf8.c src/odbc/unittests/utf8_2.c:
+	- style updates, reuse macros
+
 Fri Oct 31 14:59:36 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/utf8.c src/odbc/unittests/utf8_2.c:
 	- fix test for MSSQL
@@ -808,4 +813,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2645 2008/10/31 14:00:11 freddy77 Exp $
+$Id: ChangeLog,v 1.2646 2008/10/31 14:35:23 freddy77 Exp $
diff --git a/src/odbc/unittests/cursor1.c b/src/odbc/unittests/cursor1.c
index 59d8ecd..1882457 100644
--- a/src/odbc/unittests/cursor1.c
+++ b/src/odbc/unittests/cursor1.c
@@ -2,7 +2,7 @@
 
 /* Test cursors */
 
-static char software_version[] = "$Id: cursor1.c,v 1.15 2008/10/31 14:00:11 freddy77 Exp $";
+static char software_version[] = "$Id: cursor1.c,v 1.16 2008/10/31 14:35:23 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHK_INFO(func,params) \
@@ -10,7 +10,7 @@ static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 		ODBC_REPORT_ERROR(#func); \
 	} while(0)
 
-#define SWAP_STMT(a,b) do { SQLHSTMT xyz = a; a = b; b = xyz; } while(0)
+#define SWAP_STMT(b) do { SQLHSTMT xyz = Statement; Statement = b; b = xyz; } while(0)
 
 static int mssql2005 = 0;
 
@@ -102,10 +102,10 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 			else
 				CHK(SQLSetPos, (Statement, i, use_sql ? SQL_POSITION : SQL_DELETE, SQL_LOCK_NO_CHANGE));
 			if (use_sql) {
-				SWAP_STMT(Statement, stmt2);
+				SWAP_STMT(stmt2);
 				CHK(SQLPrepare, (Statement, (SQLCHAR *) "DELETE FROM #test WHERE CURRENT OF C1", SQL_NTS));
 				CHK(SQLExecute, (Statement));
-				SWAP_STMT(Statement, stmt2);
+				SWAP_STMT(stmt2);
 			}
 		}
 
@@ -134,14 +134,14 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 				}
 			}
 			if (use_sql) {
-				SWAP_STMT(Statement, stmt2);
+				SWAP_STMT(stmt2);
 				CHK(SQLPrepare, (Statement, (SQLCHAR *) "UPDATE #test SET c=? WHERE CURRENT OF C1", SQL_NTS));
 				CHK(SQLBindParameter,
 				    (Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_CHAR, C_LEN, 0, c[i - 1], 0, NULL));
 				CHK(SQLExecute, (Statement));
 				/* FIXME this is not necessary for mssql driver */
 				SQLMoreResults(Statement);
-				SWAP_STMT(Statement, stmt2);
+				SWAP_STMT(stmt2);
 			}
 		}
 	}
diff --git a/src/odbc/unittests/cursor5.c b/src/odbc/unittests/cursor5.c
index 9b300f5..4797287 100755
--- a/src/odbc/unittests/cursor5.c
+++ b/src/odbc/unittests/cursor5.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: cursor5.c,v 1.5 2008/02/06 08:28:10 freddy77 Exp $";
+static char software_version[] = "$Id: cursor5.c,v 1.6 2008/10/31 14:35:23 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -41,11 +41,11 @@ getErrorInfo(SQLSMALLINT sqlhdltype, SQLHANDLE sqlhandle)
 }
 
 static void
-doFetch(SQLHSTMT m_hstmt, int dir, int pos)
+doFetch(int dir, int pos)
 {
-	SQLRETURN rcode = SQLFetchScroll(m_hstmt, dir, pos);
+	SQLRETURN rcode = SQLFetchScroll(Statement, dir, pos);
 
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt, "SQLFetchScroll");
+	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLFetchScroll");
 	if (rcode != SQL_NO_DATA)
 		printf(">> fetch %2d %10d : %d [%s]\n", dir, pos, v_ind_3_1 ? (int) v_int_3 : -1, v_ind_3_2 ? v_char_3 : "null");
 	else
@@ -56,78 +56,49 @@ int
 main(int argc, char **argv)
 {
 	SQLRETURN rcode;
-	SQLHSTMT m_hstmt1;
-	SQLHSTMT m_hstmt2;
 
 	use_odbc_version3 = 1;
 	Connect();
 	CheckCursor();
 
-	rcode = SQLSetConnectAttr(Connection, SQL_ATTR_AUTOCOMMIT, (SQLPOINTER) SQL_AUTOCOMMIT_ON, SQL_IS_UINTEGER);
-	CHECK_RCODE(SQL_HANDLE_ENV, Connection, "SQLSetConnectAttr(autocommit)");
-
-	m_hstmt1 = NULL;
-	rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt1);
-	CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH 1");
-
-	m_hstmt2 = NULL;
-	rcode = SQLAllocHandle(SQL_HANDLE_STMT, Connection, &m_hstmt2);
-	CHECK_RCODE(SQL_HANDLE_DBC, Connection, "SQLAllocHandle StmtH 2");
-
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "create table #mytab1 (k int, c char(30))", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.1");
-
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (1,'aaa')", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.2");
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (2,'bbb')", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.3");
-	rcode = SQLExecDirect(m_hstmt1, (SQLCHAR *) "insert into #mytab1 values (3,'ccc')", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLExecDirect 1.4");
-
-/*
-	rcode = SQLSetStmtAttr(m_hstmt2, SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_STATIC, 0);
-	CHECK_RCODE(SQL_HANDLE_STMT,m_hstmt2,"SQLSetStmtAttr 1");
-*/
-
-	rcode = SQLSetStmtAttr(m_hstmt2, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, SQL_IS_UINTEGER);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLSetStmtAttr 1");
-
-	rcode = SQLPrepare(m_hstmt2, (SQLCHAR *) "select k, c from #mytab1 order by k", SQL_NTS);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLPrepare 3");
-
-	rcode = SQLBindCol(m_hstmt2, 1, SQL_C_LONG, &v_int_3, 0, &v_ind_3_1);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLBindCol 3.1");
-
-	rcode = SQLBindCol(m_hstmt2, 2, SQL_C_CHAR, v_char_3, sizeof(v_char_3), &v_ind_3_2);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLBindCol 3.2");
-
-	rcode = SQLExecute(m_hstmt2);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLExecute StmtH 3");
-
-	doFetch(m_hstmt2, SQL_FETCH_LAST, 0);
-	doFetch(m_hstmt2, SQL_FETCH_PRIOR, 0);
-	doFetch(m_hstmt2, SQL_FETCH_PRIOR, 0);
-	doFetch(m_hstmt2, SQL_FETCH_PRIOR, 0);
-	doFetch(m_hstmt2, SQL_FETCH_NEXT, 0);
-	doFetch(m_hstmt2, SQL_FETCH_NEXT, 0);
-	doFetch(m_hstmt2, SQL_FETCH_NEXT, 0);
-	doFetch(m_hstmt2, SQL_FETCH_NEXT, 0);
-	doFetch(m_hstmt2, SQL_FETCH_FIRST, 0);
-	doFetch(m_hstmt2, SQL_FETCH_NEXT, 0);
-	doFetch(m_hstmt2, SQL_FETCH_NEXT, 0);
-	doFetch(m_hstmt2, SQL_FETCH_ABSOLUTE, 3);
-	doFetch(m_hstmt2, SQL_FETCH_RELATIVE, -2);
-	doFetch(m_hstmt2, SQL_FETCH_RELATIVE, -2);
-	doFetch(m_hstmt2, SQL_FETCH_RELATIVE, 5);
-
-	rcode = SQLCloseCursor(m_hstmt2);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLCloseCursor StmtH 2");
-
-	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt1);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt1, "SQLFreeHandle StmtH 1");
-
-	rcode = SQLFreeHandle(SQL_HANDLE_STMT, (SQLHANDLE) m_hstmt2);
-	CHECK_RCODE(SQL_HANDLE_STMT, m_hstmt2, "SQLFreeHandle StmtH 2");
+	CHK(SQLSetConnectAttr, (Connection, SQL_ATTR_AUTOCOMMIT, (SQLPOINTER) SQL_AUTOCOMMIT_ON, SQL_IS_UINTEGER));
+
+	Command(Statement, "create table #mytab1 (k int, c char(30))");
+	Command(Statement, "insert into #mytab1 values (1,'aaa')");
+	Command(Statement, "insert into #mytab1 values (2,'bbb')");
+	Command(Statement, "insert into #mytab1 values (3,'ccc')");
+
+	ResetStatement();
+/*	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_TYPE, (SQLPOINTER) SQL_CURSOR_STATIC, 0));	*/
+	CHK(SQLSetStmtAttr, (Statement, SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_SCROLLABLE, SQL_IS_UINTEGER));
+
+	rcode = SQLPrepare(Statement, (SQLCHAR *) "select k, c from #mytab1 order by k", SQL_NTS);
+	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLPrepare 3");
+
+	CHK(SQLBindCol, (Statement, 1, SQL_C_LONG, &v_int_3, 0, &v_ind_3_1));
+	CHK(SQLBindCol, (Statement, 2, SQL_C_CHAR, v_char_3, sizeof(v_char_3), &v_ind_3_2));
+
+	rcode = SQLExecute(Statement);
+	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLExecute StmtH 3");
+
+	doFetch(SQL_FETCH_LAST, 0);
+	doFetch(SQL_FETCH_PRIOR, 0);
+	doFetch(SQL_FETCH_PRIOR, 0);
+	doFetch(SQL_FETCH_PRIOR, 0);
+	doFetch(SQL_FETCH_NEXT, 0);
+	doFetch(SQL_FETCH_NEXT, 0);
+	doFetch(SQL_FETCH_NEXT, 0);
+	doFetch(SQL_FETCH_NEXT, 0);
+	doFetch(SQL_FETCH_FIRST, 0);
+	doFetch(SQL_FETCH_NEXT, 0);
+	doFetch(SQL_FETCH_NEXT, 0);
+	doFetch(SQL_FETCH_ABSOLUTE, 3);
+	doFetch(SQL_FETCH_RELATIVE, -2);
+	doFetch(SQL_FETCH_RELATIVE, -2);
+	doFetch(SQL_FETCH_RELATIVE, 5);
+
+	rcode = SQLCloseCursor(Statement);
+	CHECK_RCODE(SQL_HANDLE_STMT, Statement, "SQLCloseCursor StmtH 2");
 
 	Disconnect();
 	return 0;
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index 2eb02b7..31f57d6 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.6 2008/10/31 14:00:11 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.7 2008/10/31 14:35:23 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,16 +9,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	if (SQLAllocEnv(&Environment) != SQL_SUCCESS) {
-		printf("Unable to allocate env\n");
-		exit(1);
-	}
+	CHK(SQLAllocEnv, (&Environment));
 	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	if (SQLAllocConnect(Environment, &Connection) != SQL_SUCCESS) {
-		printf("Unable to allocate connection\n");
-		SQLFreeEnv(Environment);
-		exit(1);
-	}
+	CHK(SQLAllocConnect, (Environment, &Connection));
 }
 
 static void
@@ -147,10 +140,7 @@ main(int argc, char *argv[])
 		return 0;
 	}
 
-	if (SQLAllocStmt(Connection, &Statement) != SQL_SUCCESS) {
-		printf("Unable to allocate statement\n");
-		CheckReturn();
-	}
+	CHK(SQLAllocStmt, (Connection, &Statement));
 
 	/* create test table */
 	sprintf(tmp, "IF OBJECT_ID(N'%s') IS NOT NULL DROP TABLE %s", table_name, table_name);
diff --git a/src/odbc/unittests/utf8_2.c b/src/odbc/unittests/utf8_2.c
index 1c7071e..7203a40 100755
--- a/src/odbc/unittests/utf8_2.c
+++ b/src/odbc/unittests/utf8_2.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test conversion of Hebrew characters (which have shift sequences) */
-static char software_version[] = "$Id: utf8_2.c,v 1.4 2008/10/31 14:00:11 freddy77 Exp $";
+static char software_version[] = "$Id: utf8_2.c,v 1.5 2008/10/31 14:35:23 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,16 +9,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	if (SQLAllocEnv(&Environment) != SQL_SUCCESS) {
-		printf("Unable to allocate env\n");
-		exit(1);
-	}
+	CHK(SQLAllocEnv, (&Environment));
 	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	if (SQLAllocConnect(Environment, &Connection) != SQL_SUCCESS) {
-		printf("Unable to allocate connection\n");
-		SQLFreeEnv(Environment);
-		exit(1);
-	}
+	CHK(SQLAllocConnect, (Environment, &Connection));
 }
 
 static const char * const strings[] = {
@@ -73,10 +66,7 @@ main(int argc, char *argv[])
 		return 0;
 	}
 
-	if (SQLAllocStmt(Connection, &Statement) != SQL_SUCCESS) {
-		printf("Unable to allocate statement\n");
-		CheckReturn();
-	}
+	CHK(SQLAllocStmt, (Connection, &Statement));
 
 	/* create test table */
 	Command(Statement, "CREATE TABLE #tmpHebrew (i INT, v VARCHAR(10) COLLATE Hebrew_CI_AI)");

